ENTITY adder IS
  PORT( A, B : IN INTEGER;
        X : OUT INTEGER);
BEGIN
  ASSERT (A < 256)
    REPORT "A out of range"
    SEVERITY ERROR;

  ASSERT  (B < 256)
    REPORT "B out of range"
    SEVERITY ERROR;

END adder;






